package com.ruoyi.generator.domain.Community;

import javax.validation.constraints.NotNull;

import java.io.Serializable;

import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
* 文章评价记录表
* @TableName community_article_comment
*/
@EqualsAndHashCode(callSuper = true)
@Data
@NoArgsConstructor
@AllArgsConstructor
public class CommunityArticleComment extends BaseEntity implements Serializable {

    /**
    * 评论id
    */
    @NotNull(message="[评论id]不能为空")
    @ApiModelProperty("评论id")
    private Long commentId;
    /**
    * 文章id
    */
    @ApiModelProperty("文章id")
    private Long articleId;
    /**
    * 评论人id
    */
    @ApiModelProperty("评论人id")
    private Long userId;

    /**
     * 评论内容
     */
    @ApiModelProperty("评论内容")
    private String content;
}
